#include <gtk/gtk.h>
#include "common.h"

typedef enum {
        FROM_NONE,
        FROM_NOT_ROOT,
        FROM_MAIN,
        FROM_NEW,
        FROM_LOAD,
        FROM_EDIT,
        FROM_EDIT_NONAME,
        FROM_EDIT_BATTING,
        FROM_SAVE_ERR,
        FROM_OVERWRITE
} on_call;

typedef enum {
        MODE_NONE,
        MODE_NEW,
        MODE_LOAD,
        MODE_ADD,
        MODE_DEL,
        MODE_EDIT,
        MODE_SAVE
} edit_mode;

typedef struct gparams_tag {

        /* Window pointers */
        GtkWidget *window_main;
        GtkWidget *info_dialog;
        GtkWidget *edit_dialog;

        on_call   from;
        edit_mode mode;

        int focus_printer;

} global_params_t;

extern global_params_t *gp;
extern int Number_of_printers;

FUNCTION void review_main_button( void );
FUNCTION void on_call_return_load( gboolean select );
FUNCTION void info_on( on_call from, const char *msg );

void
on_button_list_add_released            (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_list_edit_released           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_list_del_released            (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_file_new_released            (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_load_released                (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_save_released                (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_exit_released                (GtkButton       *button,
                                        gpointer         user_data);

void
on_judge_cancelbutton_released         (GtkButton       *button,
                                        gpointer         user_data);

void
on_judge_okbutton_released             (GtkButton       *button,
                                        gpointer         user_data);

void
on_radiobutton_local_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radiobutton_network_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_edit_cancelbutton_released          (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_okbutton_released              (GtkButton       *button,
                                        gpointer         user_data);
/* end of file */
