#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include "common.h"

FUNCTION int _assert( const char *file, const int line, const char *func )
{
        fprintf(stderr, "%s:%d:%s: ***** ASSERT *****\n", file, line, func);
        exit(1);
        return 0;
}


FUNCTION int nocase_strcmp( const char *s1, const char *s2 )
{
        ASSERT( NULL != s1 );
        ASSERT( NULL != s2 );

        for( ; (*s1) && (*s2); s1++, s2++ )
                if( tolower(*s1) != tolower(*s2) )
                        break;
        if( !(*s1) && !(*s2) )
                return 0;
        return( (*s2) - (*s1) );
}

FUNCTION int nocase_strncmp( const char *s1, const char *s2, const int n )
{
        int i;

        ASSERT( NULL != s1 );
        ASSERT( NULL != s2 );

        for( i = 0; ( i < n ) && (*s1) && (*s2); i++ )
        {
                if( tolower(*s1) != tolower(*s2) )
                        break;
                s1++;
                s2++;
        }
        if( i == n )
                return 0;
        return 1;
}

FUNCTION char *strtoupper( char *cp )
{
        char *p;
        for( p = cp; *p ; p++)
                *p = toupper(*p);

        return cp;
}

FUNCTION char *strtolower( char *cp )
{
        char *p;
        for( p = cp; *p ; p++)
                *p = tolower(*p);

        return cp;
}

FUNCTION void dbgp(char * const file, const int line, char * const func, const char* fmt, ...)
{
        if(DBGP_ENABLE){
                va_list ap;
                fprintf(stderr, "%s: %d: %s: ", file, line, func);
                va_start(ap, fmt);
                vfprintf(stderr, fmt, ap);
                va_end(ap);
        }
}

/* end of file */
