#ifndef oppd_conf_h
#define oppd_conf_h

#define MAX_HOSTNAME     255
#define MAX_PRINTER_NAME 64
#define MAX_DEVICE_NAME  MAX_HOSTNAME
#define MAX_MODULE_NAME  MAX_PRINTER_NAME
#define MAX_DESCRIPTION  255

#define MAX_PR_LIST      32

#define OPPD_CONF "/etc/oppd.conf"
/* #define OPPD_CONF "./oppd.conf" */


typedef struct printer_configulation_tag {
        int  is_set;            /* 0:none, 1:exist */
        int  location;          /* 0:local, 1:network */
        int  changed;           /* 0:not changed, 1:changed */

        char name       [MAX_PRINTER_NAME +1];
        char device     [MAX_DEVICE_NAME  +1]; /* server name, if network. */
        char module     [MAX_MODULE_NAME  +1]; /* remote printer name, if network. */
        char description[MAX_DESCRIPTION  +1];

} conf_t;

extern conf_t *Plist;

FUNCTION int read_conf ( conf_t *plist, const char *filepath );
FUNCTION int is_changed_plist ( const conf_t *plist, const int num_of_printers );
FUNCTION int del_plist ( conf_t *plist, const int num_of_printers, const int line );
FUNCTION int put_plist ( conf_t *plist, int num_of_printers, const conf_t *conf, const int line );
FUNCTION int save_conf ( const conf_t *plist, const char *filepath, const int num_of_printers );
FUNCTION void clear_all_changed_flag ( conf_t *plist, const int num_of_printers );
FUNCTION int batting_name ( const conf_t *plist, const int num_of_printers, const char *name, const int line );

#endif /* oppd_conf_h */

/* end of file */
