/*

Copyright (c) 2003-2004, AXE, Inc.  All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
#ifndef __LIBHTTP_H__
#define __LIBHTTP_H__

#include <stdio.h>

typedef struct _header {
    struct _header *next;
    char *name;
    char *value;
} Header;

typedef struct {
    FILE *rfp;
    FILE *wfp;
    int bufSize;
    int bufIndex;
    char *lineBuf;
    char *method;
    char *uri;
    char *version;
    Header *headers;
    int length;
    char *body;
} Conn;

extern int HTTPInit(int fd, Conn *conn);
extern int HTTPGetReq(Conn *conn);
extern int HTTPWriteResponse(Conn *conn, int code, char *reason,
  int nHeader, char **name, char **value,
  int bodyLen, char *body);
extern void HTTPClean(Conn *conn);
extern void HTTPDestroy(Conn *conn);
extern char *HTTPFindHeader(Conn *conn, char *name);
extern char *HTTPParseOpt(char *opt, char **name, char **value);

#endif
