/*

Copyright (c) 2003-2004, AXE, Inc.  All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/
/*
 * oppd_common.h
 * open-printing printer daemon common
 */

#ifndef _OPPD_COMMON_H_
#define _OPPD_COMMON_H_

#include <signal.h>

/*
 * macros
 */
#define	OPPD_SERV_NAME	"oppd"
#define	OPPS_SERV_NAME	"opps"
#define	OPPD_PORT_DFLT	22222
#define	OPPS_PORT_DFLT	22223
#define	OPPD_LIS_NAME	"oppd-listen"
#define	OPPD_SPL_NAME	"oppd-spool"
#define	OPPD_STA_NAME	"oppd-status"
#define	OPPD_OUT_NAME	"oppd-output"
#define	OPPD_LOG_FILE	"/var/log/oppd.log"
#define	OPPD_CONF_FILE	"/etc/oppd.conf"
#define	OPPD_SPL_DIR	"/var/spool/oppd/"
#define	OPPD_JOB_FILE	"oppd-job-list"

#define	USE_SIGINFO	1
#define	OPPD_BUF_LEN	4096

/*
 * typedefs
 */
typedef	struct {
	int		signo;
struct	sigaction	*act;
} oppd_signal;

typedef	struct {
	int		print;
	int		status;
} oppd_sock;

typedef	struct {
	int		id;
	int		copies;
	char		*title;
	char		*owner;
	char		*spool;
} oppd_job;

#endif

